classification
Title: PEP 384 inconsistent with implementation
Type: behavior Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, furkanonder, loewis, pitrou
Priority: normal Keywords:

Created on 2012-06-22 18:11 by pitrou, last changed 2020-04-01 20:36 by gvanrossum. This issue is now closed.

Messages (3)
msg163449 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-06-22 18:11
In PEP 384, the PyType_Spec struct has a "const char *doc" that is not present in the implementation (Include/object.h).
msg163460 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-06-22 18:58
It's a bug in the PEP: users need to provide the module documentation through Py_tp_doc (which actually is mentioned in the PEP).

I'll fix it.
msg365507 - (view) Author: Furkan Onder (furkanonder) * Date: 2020-04-01 20:30
It fixed.
History
Date User Action Args
2020-04-01 20:36:17gvanrossumsetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2020-04-01 20:30:07furkanondersetnosy: + furkanonder
messages: + msg365507
2013-08-07 09:13:37belopolskylinkissue15787 dependencies
2012-06-22 18:58:03loewissetmessages: + msg163460
2012-06-22 18:11:27pitroucreate